Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Interface SubContextList

All Known Implementing Classes:
  PredicatedNodeTest, StepPattern

public interface SubContextList

A class that implements this interface is a sub context node list, meaning it is a node list for a location path step for a predicate.

Usage:
  **For advanced use only**

Method Summary
`int` | `getLastPos(XPathContext xctxt)` Get the number of nodes in the node list, which, in the XSLT 1 based counting system, is the last index position.
`int` | `getProximityPosition(XPathContext xctxt)` Get the current sub-context position.

Method Detail

### getLastPos

    public int getLastPos(XPathContext xctxt)

  Get the number of nodes in the node list, which, in the XSLT 1 based counting system, is the last index position.
  Parameters:
    `xctxt` - The XPath runtime context.
  Returns:
    the number of nodes in the node list.

### getProximityPosition

    public int getProximityPosition(XPathContext xctxt)

  Get the current sub-context position.
  Parameters:
    `xctxt` - The XPath runtime context.
  Returns:
    The position of the current node in the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.